Patch ExternalBankAccount

PATCHhttps://bank.dattaremit.com/api/external_bank_accounts/{external_bank_account_guid}

Requires a bank-scoped key.

Patch an external bank account.

Required scope: external_bank_accounts:write

Path Params

external_bank_account_guidstringrequired

Identifier for the external bank account.

Body Params

required
statecompleted | refresh_required

The state of the external bank account. If set to "completed," the returned state of the external bank account will be either "completed", if the bank account has been verified, or "unverified" if the bank account has not been verified.

namestring

The name of the external bank account.

Responses

200

external bank account found

401

Unauthorized - Authentication failed

403

Invalid scope

404

ExternalBankAccount not found

Request

curl https://api.dattaremit.com/api/external_bank_accounts/{external_bank_account_guid} \
  -X PATCH \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "state": "completed",
  "name": "string"
}'

Response

external bank account found

{
  "guid": "string",
  "name": "string",
  "asset": "string",
  "account_kind": "string",
  "environment": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "counterparty_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "plaid_institution_id": "string",
  "plaid_account_mask": "string",
  "plaid_account_name": "string",
  "state": "string",
  "failure_code": "string",
  "balance_updated_at": "2026-07-20T16:27:51.438Z",
  "balances": {
    "available": 1,
    "current": 1
  },
  "pii": [
    {
      "names": [
        "string"
      ],
      "addresses": [
        {
          "street": "string",
          "street2": "string",
          "city": "string",
          "subdivision": "string",
          "postal_code": "string",
          "country_code": "string"
        }
      ],
      "email_addresses": [
        "string"
      ],
      "phone_numbers": [
        "string"
      ],
      "account_details": [
        {
          "account_number": "string"
        }
      ],
      "routing_details": [
        {
          "routing_number_type": "string",
          "routing_number": "string",
          "payment_rail": "EFT"
        }
      ]
    }
  ]
}